
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Notes Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Notes</h1><h2>Description</h2>
<p>This interface provides access to the collection of PIM notes.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Notes</tt></p>
<h2>Methods</h2><ul>
<li><a href="#Add">Add</a></li>
<li><a href="#GetUsedTags">GetUsedTags</a></li>
<li><a href="#GetSingleEntrySingleField">GetSingleEntrySingleField</a></li>
<li><a href="#Query">Query</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#NewNote">NewNote</a></li>
<li><a href="#NewTag">NewTag</a></li>
<li><a href="#TagRemoved">TagRemoved</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="Add">Add</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Add a new note to the default backend for notes. </p><h4>Parameters</h4><i>a{sv}: note_data</i><p>The new notes data. </p><h4>Returns</h4><i>s: note_path</i><p>The path of the added note. </p>
<h3><a name="GetUsedTags">GetUsedTags</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Returns list of all tags used in loaded notes. </p><h4>Returns</h4><i>as: used_tags</i><p>List of tags. </p>
<h3><a name="GetSingleEntrySingleField">GetSingleEntrySingleField</a> ( a{sv}s ) &rarr; s</h3>
<p><i>Description:</i> Query the content of one field of one note. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><i>s: field</i><p>The name of the field to query. </p><h4>Returns</h4><i>s: value</i><p>The content of the queried field. </p>
<h3><a name="Query">Query</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Start a query for notes. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><h4>Returns</h4><i>s: query_path</i><p>The path for the started query. </p>
<h1>Signals</h1><h3><h3><a name="NewNote">NewNote</a> ( s )</h3><p><i>Description:</i> Sent when a new note is loaded. </p><h4>Parameters</h4><i>s: note_path</i><p>The path of the newly loaded note. </p></h3>
<h3><h3><a name="NewTag">NewTag</a> ( s )</h3><p><i>Description:</i> Sent when a newly loaded or updated note has some unused before tag. </p><h4>Parameters</h4><i>s: tag</i><p>The name of new tag. </p></h3>
<h3><h3><a name="TagRemoved">TagRemoved</a> ( s )</h3><p><i>Description:</i> Sent when last instance of tag in notes is removed. </p><h4>Parameters</h4><i>s: tag</i><p>The name of removed tag. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

